# LSP server configuration — language servers for the development environment.
{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.coding.lsp;
in {
  options.coding.lsp.enable = mkEnableOption "enable LSP servers";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      # Nix
      nixd
      # General
      typescript-language-server
      tailwindcss-language-server
      pyrefly
    ];
  };
}
